Bug 655727 - [abrt] jhead-2.90-1.fc14: ClearOrientation: Process /usr/bin/jhead was killed by signal 11 (SIGSEGV)
Summary: [abrt] jhead-2.90-1.fc14: ClearOrientation: Process /usr/bin/jhead was killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jhead
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c07c6424999d224c6f41879788f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 10:07 UTC by Sjoerd Mullender
Modified: 2010-12-17 06:53 UTC (History)
1 user (show)

Fixed In Version: jhead-2.90-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-08 21:39:32 UTC


Attachments (Terms of Use)
File: backtrace (4.16 KB, text/plain)
2010-11-22 10:07 UTC, Sjoerd Mullender
no flags Details
JPEG that causes jhead to crash. (2.90 MB, image/jpeg)
2010-11-25 15:12 UTC, Sjoerd Mullender
no flags Details

Description Sjoerd Mullender 2010-11-22 10:07:47 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: jhead -q -autorot -dt -ft Photos/2010/11/21/PICT9995.JPG
component: jhead
crash_function: ClearOrientation
executable: /usr/bin/jhead
kernel: 2.6.35.6-48.fc14.x86_64
package: jhead-2.90-1.fc14
rating: 4
reason: Process /usr/bin/jhead was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1290420105
uid: 500

comment
-----
I ran the above command on individually on a bunch of JPEGs I just copied off my cameras.
The program crashed 3 times, probably all three on the three photos I had marked to be rotated by 90 degrees
in f-spot (which was not running at the time I ran jhead).

How to reproduce
-----
1.jhead -q -autorot -dt -ft file.jpg
2.
3.

Comment 1 Sjoerd Mullender 2010-11-22 10:07:49 UTC
Created attachment 461960 [details]
File: backtrace

Comment 2 Adrian Reber 2010-11-25 14:46:59 UTC
Any chance you can provide a JPEG that makes jhead crash?

Comment 3 Sjoerd Mullender 2010-11-25 15:12:20 UTC
Created attachment 462925 [details]
JPEG that causes jhead to crash.

Here is the very picture that is mentioned in the bug report.

Comment 4 Adrian Reber 2010-11-30 12:04:58 UTC
> Here is the very picture that is mentioned in the bug report.

Thanks. With the help of your picture I was able to create a patch that seems to fix your bug. Updates should appear soon.

Comment 5 Fedora Update System 2010-11-30 12:52:04 UTC
jhead-2.90-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/jhead-2.90-2.fc14

Comment 6 Fedora Update System 2010-11-30 12:53:19 UTC
jhead-2.90-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/jhead-2.90-2.fc13

Comment 7 Fedora Update System 2010-11-30 12:55:49 UTC
jhead-2.90-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/jhead-2.90-2.el5

Comment 8 Fedora Update System 2010-11-30 16:25:47 UTC
jhead-2.90-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jhead'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/jhead-2.90-2.el5

Comment 9 Fedora Update System 2010-12-08 21:39:27 UTC
jhead-2.90-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-08 21:44:51 UTC
jhead-2.90-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-12-17 06:53:46 UTC
jhead-2.90-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.